Subject: Re: SM722 (Lynx3DM+) framebuffer driver

From: Matthias Fuchs <[email-masked]>
Date: Thu, 18 Sep 2008 09:28:18 +0200

Hi Nathael,

your driver seems to be the most complete framebufferdriver for this chip
I heard about :-)

Our driver is currently based on some register dumps by SMI. The chip is completely
setup by U-Boot. Because of it's missing generic'ness I did not dare to post it
as a patch to the U-Boot list :-) Finally we are using a stupid framebuffer driver
that does absolutely no 722 setup. It just represents the framebuffer driver interface.

I will give your driver a try.

On Wednesday 10 September 2008 13:56, Nathael Pajani wrote:
> Hi !
> I know your mail is quite old, but this might still prove useful....
> and did you find a solution ?
> Do you finally have a driver ? I'm interested in whatever information you have, 
> even the links to 2.4 kernel code, or code for SM712 chips. Anything at all in 
> fact, so I may try to improve my driver.
> 
> I have this device (Silicon Motion SM722 Lynx3DM+) on a powerPC board from ACTIS 
> Computers.
> 
> You'll find attached a patch with the SMI driver I made.
> It's not as good as it should be, be I have a usable display, being able to use 
> xorg, and it's as much as I managed without a vgabios (which they provide for 
> x86 arch only).
> Note also that uboot on the board does some chip init, so this driver alone may 
> not be useful if you don't already have something.
I assume that you enable access to the memory mapped register in U-Boot, right?
> 
> Note also that for my brain's sake I removed parts handling LynxEM chips from 
> the original code (which was mainly for mips VR5701-SG2 with LynxEM+).
> 
> Have fun, and thank you if you can send in some useful stuff.
> ++++
> 

Matthias